如何为 ubuntu 编写安装脚本

发布于 2024-10-14 06:51:43 字数 179 浏览 1 评论 0原文

我刚刚在linux(ubuntu)中开发了一个opengl游戏..现在我想为其编写一个安装脚本,使用命令将游戏直接安装到apt中..

sudo apt-get install ...

这样它就可以从整个linux的任何地方运行,而无需进入游戏的指定文件夹。有人知道该怎么做吗?

I just developed an opengl game in linux (ubuntu).. Now I would like to write a setup script for the same which installs the game directly into the apt using the command..

sudo apt-get install ...

so that it runs from anywhere throughout linux without going into the specified folder for the game. Anyone knows how to do that ?

如果你对这篇内容有疑问,欢迎到本站社区发帖提问 参与讨论,获取更多帮助,或者扫码二维码加入 Web 技术交流群。

扫码二维码加入Web技术交流群

发布评论

需要 登录 才能够评论, 你可以免费 注册 一个本站的账号。

评论(2

窗影残 2024-10-21 06:51:43
    #!/bin/bash

    set -eu -o pipefail # fail on error , debug all lines

    sudo -n true
    test $? -eq 0 || exit 1 "you should have sudo priveledge to run this script"

    echo installing the must-have pre-requisites
    while read -r p ; do sudo apt-get install -y $p ; done < <(cat << "EOF"
        perl
        zip unzip
        exuberant-ctags
        mutt
        libxml-atom-perl
        postgresql-9.6
        libdbd-pgsql
        curl
        wget
        libwww-curl-perl
    EOF
    )

    echo installing the nice-to-have pre-requisites
    echo you have 5 seconds to proceed ...
    echo or
    echo hit Ctrl+C to quit
    echo -e "\n"
    sleep 6

    sudo apt-get install -y tig
    #!/bin/bash

    set -eu -o pipefail # fail on error , debug all lines

    sudo -n true
    test $? -eq 0 || exit 1 "you should have sudo priveledge to run this script"

    echo installing the must-have pre-requisites
    while read -r p ; do sudo apt-get install -y $p ; done < <(cat << "EOF"
        perl
        zip unzip
        exuberant-ctags
        mutt
        libxml-atom-perl
        postgresql-9.6
        libdbd-pgsql
        curl
        wget
        libwww-curl-perl
    EOF
    )

    echo installing the nice-to-have pre-requisites
    echo you have 5 seconds to proceed ...
    echo or
    echo hit Ctrl+C to quit
    echo -e "\n"
    sleep 6

    sudo apt-get install -y tig
~没有更多了~
我们使用 Cookies 和其他技术来定制您的体验包括您的登录状态等。通过阅读我们的 隐私政策 了解更多相关信息。 单击 接受 或继续使用网站,即表示您同意使用 Cookies 和您的相关数据。
原文